
function demo3p

d1 = 5;  d2 = 7;  d3 = 3;
r = robot([0 0 d1 0; pi/2 0 d2 -pi/2; -pi/2 2 d3 0], ['d'; 'd'; 'p'],...
          'RobotBase', rp2t(rotx(-pi/2),[0;0;0]),... 
          'RobotGrasper', rp2t(roty(-pi/2),[0; 0; 3]),...
          'RobotGrasperSize', [0.75,1],...
          'RobotRange', [-3.5, 8.5; 1, 11; 0, 6],...
          'RobotLengthColor', 'y',...
          'RobotOffsetColor', [0,0.25,0.65],...
          'RobotGrasperColor', [0,0.5,1],...
          'RobotExColor', 'g',...
          'RobotEdgeColor', 'none',... 
          'RobotLineWidth', 2,...
          'RobotCylinderRadius', 0.5,...
          'RobotCylinderApprox', 32,...
          'RobotModel', 'range',...
          'CSysAxisLength', 2,...
          'CSysColor', 'r');

b1 = block_move(prism([[-2.5;0] [-2.5;2] [2.5;2] [2.5;0] [1.5;0] [1.5;1] [-1.5;1] [-1.5;0]],15), [0;0;-5]);
r  = robot_part(r, 0, b1);
b1 = block_move(cuboid(3,3,1), rp2t(rotx(pi/2),[0;1;0]));
b2 = block_move(cuboid(1,1,13), rp2t(rotx(pi/2),[0;0;0]));
r  = robot_part(r, 1, b1, b2);
b1 = block_move(prism([[-1;-1] [3;-1] [3;1] [-1;1]],2), [0;0;-1]);
r  = robot_part(r, 2, b1);
b1 = block_move(cuboid(1,1,9), rp2t(eye(3),[0;0;-8]));
r  = robot_part(r, 3, b1);
b1 = block_move(prism([[0;1] [0;-1] [.5;-1.15] [1.75;-0.6] [.5;-0.6] [.5;0.6] [1.75;0.65] [.5;1.15]],1), [-2;0;-0.5]);
r  = robot_part(r, 4, b1);

demofig(r, 145, 35);

axis([-8 10 -6 12 -2 14])
csys_plot(csys(eye(4), 'CSysAxisLength', axis));

robot_plot(r, 'line')
