
function demo3pr

d1=5;  d2=5;  d3=3;  t4=0;
r = robot([dh(0,0,d1,0); dh(-pi/2,0,d2,pi/2); dh(-pi/2,1,d3,0); dh(0,0,1,t4)], ['d','d','p','r'],...
          'RobotBase', rp2t(rotx(-pi/2)*rotz(-pi/2),[0;0;5]),...
          'RobotGrasper', rp2t(roty(-pi/2),[0; 0; 2]),...
          'RobotGrasperSize', 0.75,...
          'RobotRange', [0, 10; 1, 10; 0, 5; -pi, pi],...
          'RobotColor', [0,0.45,0.9],...
          'RobotExColor', [0,0.75,1],...
          'RobotGrasperColor', [1,1,0.5],...
          'RobotLineWidth', 2,...
          'RobotCylinderRadius', 0.25,...
          'RobotCylinderApprox', 16,...
          'RobotModel', 'rangeex',...
          'CSysAxisLength', 2);

par1 = {'BlockColor',[0,0.5,0.75],'BlockEdgeColor','none'};
par2 = {'BlockColor',[0.25,0.5,0.75],'BlockEdgeColor','none'};
par3 = {'BlockColor',[1,1,0.5],'BlockEdgeColor','none'};

b1 = block_move(cuboid(0.5,0.5,12,par1{:}), rp2t(eye(3),[0;0;-1]));
b2 = block_move(cuboid(0.5,0.5,12,par1{:}), rp2t(eye(3),[0;11;-1]));
r  = robot_part(r, 0, b1, b2);
b1 = block_move(cube(1,par2{:}), rp2t(eye(3),[0;0;-0.5]));
b2 = block_move(cube(1,par2{:}), rp2t(eye(3),[0;11;-0.5]));
b3 = block_move(cuboid(0.5,0.5,10,par2{:}), rp2t(rotx(-pi/2),[0;0.5;0]));
r  = robot_part(r, 1, b1, b2, b3);
b = block_move(cuboid(2,1,1,par2{:}), rp2t(eye(3),[0.5;0;-0.5]));
r = robot_part(r, 2, b);
b = block_move(cylinder(0.35,6,16,par2{:}), rp2t(eye(3),[0;0;-6]));
r = robot_part(r, 3, b);
b = block_move(cylinder(0.3,1,16,par3{:}), rp2t(eye(3),[0;0;-1]));
r  = robot_part(r, 4, b);
b = block_move(prism([[0;0.5] [0;-0.5] [.5;-0.75] [2;-0.35] [.5;-0.35]...
                     [.5;0.35] [2;0.35] [.5;0.75]],0.6,par3{:}),...
                     rp2t(eye(3),[-2;0;-0.3]));
r  = robot_part(r, 5, b);

demofig(r, 145, 37);

axis([-5 15 -5 15 -5 15])
csys_plot(csys(eye(4), 'CSysAxisLength', axis));

r = robot_plot(r, 'line');
      