
function [B] = blkcmplxcreate(hnd, varargin)

global RTHND;

B.hnd   = hnd;              % uchwyt obiektu
B.ident = 'block:complex';  % identyfikator obektu
B.owner = 0;                % waciciel obiektu

B.T = eye(4);          % operator przeksztacenia bryy (okrela aktualn pozycj i orientacj)

B.fig.view    = -1;    % metoda uyta do narysowania bryy
B.fig.axes    = -1;    % uchwyt obszaru rysunku (axes) w oknie
B.fig.handle  = [];    % uchwyty obiektw tworzcych rysunek bryy

B.csys.view   = 0;     % widoczno ukadu wsprzdnych bryy
B.csys.handle = [];    % uchwyty obiektw tworzcych rysunek ukadu wsprzednych

B.blocks = [];         % tablica uchwytw obiektw skadowych;

if ( length(varargin) > 0 ) 
  b = RTHND{varargin{1}};
  B.fig.view  = b.fig.view;
  B.fig.axes  = b.fig.axes;
  B.csys.view = b.csys.view;
  B = blkcmplxattach(B, varargin{:});
end
