
function B = blkdel(B, opt, del)

global RTHND;

b = RTHND{B};

if ( strcmp(opt, 'all') | strcmp(opt, 'block') )
  delete(b.fig.handle);
  b.fig.handle = [];
  if ( del ) b.fig.view = -1; end;
end

if ( strcmp(opt, 'all') | strcmp(opt, 'csys') )
  delete(b.csys.handle);
  b.csys.handle = [];
  if ( del ) b.csys.view = 0; end;
end

if ( isempty(b.fig.handle) & isempty(b.csys.handle) & del ) 
  b.fig.axes = -1; 
end

RTHND{B} = b;
