
function blkinfo(B, full)

global RTHND;

b = RTHND{B};
disp(sprintf(' '));
disp(sprintf('   Handle: [%d]', b.hnd));
disp(sprintf('   Class : %s', b.ident));
if ( b.owner ~= 0 ) disp(sprintf('   Owner : %s [%d]', RTHND{b.owner}.ident, b.owner)); end

disp(sprintf(' '));
switch ( b.ident ) 
  case 'block:basic'
    dispmtx('Points', b.points, '%7.2f ');
    for i=1:length(b.faces)
      dispmtx(sprintf('Faces{%d}', i), b.faces{i}, '%4d ');
    end
  case 'block:complex'
    s='   Blocks:'; for i=1:length(b.blocks) s=[s, ' [%d]']; end
    disp(sprintf(s, b.blocks));
end

disp(sprintf(' '));
o = RTHND{getowner(B, 'hnd')};
if ( o.fig.view ~= -1 ) 
  p = o.fig.axes;
  while ( 1 ) if ( get(p,'Parent') > 0 ) p=get(p,'Parent'); else break; end; end
  disp(sprintf('   Plot : view %s, figure [%d]', num2view(o.fig.view), p));
  if ( b.csys.view ) disp(sprintf('   CSys : visible')); 
  else disp(sprintf('   CSys : not visible')); end
else disp(sprintf('   Plot : not plotted')); end
disp(sprintf(' '));

if ( ~full ) return; end

disp(sprintf('   Properties:\n   -----------\n'));
propinfo(B, @block_get);
disp(sprintf(' '));



function dispmtx(name, val, format)

disp(sprintf('   %s:', name));
for i=1:size(val,1)
  s = '     ';  for j=1:size(val,2) s=[s, format]; end
  disp(sprintf(s, val(i,:)));
end
