
function [B] = blkplt(B, axs, view)

global RTHND;

b = RTHND{B};

if ( ~isfield(b,'blocks') ) 
  if ( view == 1 )
    b.fig.handle = [b.fig.handle pltmesh(axs, b.T, b.points, b.faces, b.fig.color, b.fig.edgeWidth)];
  else
    b.fig.handle = [b.fig.handle pltsurf(axs, b.T, b.points, b.faces, b.fig.color, b.fig.edgeColor, b.fig.edgeWidth)];
  end
else
  if ( view == 1 ) for i=1:length(b.blocks)
    bc = RTHND{b.blocks(i)};
    b.fig.handle = [b.fig.handle pltmesh(axs, b.T, bc.points, bc.faces, bc.fig.color, bc.fig.edgeWidth)];
  end
  else  for i=1:length(b.blocks)
    bc = RTHND{b.blocks(i)};
    b.fig.handle = [b.fig.handle pltsurf(axs, b.T, bc.points, bc.faces, bc.fig.color, bc.fig.edgeColor, bc.fig.edgeWidth)];
  end
  end
end

b.fig.view = view;

RTHND{B} = b;
