
function [B] = blkpltcsys(B, axs)

global RTHND;

b = RTHND{B};

if ( ~isfield(b,'blocks') ) 
  b.csys.handle = [b.csys.handle csplt(axs, b.T, b.csys.axisLength, ...
                   b.csys.label, b.csys.axisLabel,...
                   b.csys.color, b.csys.labelColor, b.csys.width)];
else
  bc = RTHND{b.blocks(1)};  
  b.csys.handle = [b.csys.handle csplt(axs, b.T, bc.csys.axisLength, ...
                   bc.csys.label, bc.csys.axisLabel,... 
                   bc.csys.color, bc.csys.labelColor, bc.csys.width)];
end

b.csys.view = 1;
RTHND{B}    = b;
