
function csinfo(CS, full)

global RTHND;

cs = RTHND{CS};
disp(sprintf(' '));
disp(sprintf('   Handle: [%d]', cs.hnd));
disp(sprintf('   Class : %s', cs.ident));
if ( cs.owner ~= 0 ) disp(sprintf('   Owner : %s [%d]', RTHND{cs.owner}.ident, cs.owner)); end

disp(sprintf(' '));
dispmtx('T', cs.T, '%7.2f ');

disp(sprintf(' '));
o = RTHND{getowner(CS, 'hnd')};
if ( o.fig.axes ~= -1 ) 
  p = o.fig.axes;
  while ( 1 ) if ( get(p,'Parent') > 0 ) p=get(p,'Parent'); else break; end; end
  disp(sprintf('   Plot : figure [%d]', p));
else disp(sprintf('   Plot : not plotted')); end
disp(sprintf(' '));

if ( ~full ) return; end

disp(sprintf('   Properties:\n   -----------\n'));
propinfo(CS, @csys_get);
disp(sprintf(' '));



function dispmtx(name, val, format)

disp(sprintf('   %s:', name));
for i=1:size(val,1)
  s = '     ';  for j=1:size(val,2) s=[s, format]; end
  disp(sprintf(s, val(i,:)));
end
