
function [lst, setlst] = prepopts(obj, opt)

lst    = optlst(obj);
setlst = {};

for i=1:2:length(opt)
  if ( ~ischar(opt{i}) ) rethrow(geterr('prop')); end
  pos = find(strcmpi(lst(:,1),opt{i}));
  if ( isempty(pos) ) rethrow(geterr('propName', opt{i})); end
  
  if ( ~isempty(lst{pos,3}) ) 
    try 
      lst{pos,4} = feval(lst{pos,3}, opt{i+1});
    catch
      err = lasterror;
      switch (err.identifier)
        case {'ROBOT:colorName', 'ROBOT:colorDef'}, rethrow(geterr('propValColor', lst{pos,1}));
        otherwise, rethrow(err);
      end
    end
  else lst{pos,4}=opt{i+1}; end
end

j = 1;
for i=1:size(lst,1)
  if ( ~isempty(lst{i,3}) & ~strcmp(lst{i,2},'_undef_') ) 
    try
      lst{i,2} = feval(lst{i,3}, lst{i,2});
    catch
      err = lasterror;
      switch (err.identifier)
        case {'ROBOT:colorName', 'ROBOT:colorDef'}, rethrow(geterr('propValColor', lst{i,1}));
        otherwise, rethrow(err);
      end
    end
  end
  
  if ( ~strcmp(lst{i,4},'_undef_') ) 
    setlst{j,1} = lst{i,1};
    setlst{j,2} = lst{i,2};
    setlst{j,3} = lst{i,3};
    setlst{j,4} = lst{i,4};
    j = j+1;
  end
end
