
function [R]=rcmplxcreate(hnd, h, lst)

global RTHND;

R.hnd   = hnd;             % uchwyt obiektu
R.ident = 'robot:complex'; % identyfikator obiektu
R.owner = 0;               % waciciel obiektu

% ustawienie wartoci opcji
for i=1:size(lst,1) R=rset(R, lst{i,1}, lst{i,2}, lst{i,4}, 1); end

R.fig.view      = -1;  % metoda uyta do narysowania robota
R.fig.axes      = -1;  % uchwyt obszaru rysunku (axes) w oknie
R.fig.handle    = [];  % uchwyty obiektw tworzcych rysunek poczenia
R.panel         = 0;   % uchwyt okna panelu     

R.plain.lines   = [];  % tablica odcinkw tworzacych widok schematyczny
R.def3d.blocks  = [];  % brya tworzca domylny widok 3D
R.def3d.length  = [];  % tablica uchwytw bry tworzcych dugoci
R.def3d.ex      = [];  % tablica uchwytw bry tworzcych dodatkowe elementy (w modelu ex)
R.def3d.link    =  0;  % uchwyt bryy czcej robota z poprzednim robotem

R.user3d.blocks = uint32(0);  % brya tworzca widok 3D uytkownika

R.csys.view     = 0;   % widoczno ukadw wsprzdnych poszczeglnych czonw
R.csys.handle   = [];  % uchwyty obiektw tworzcych rysunek ukadw wsprzednych

R.cblock = 0;          % pole nieuywane
R.robots = [];         % tablica poczonych mechanizmw

if ( length(h) > 0 ) 
  r = RTHND{h(1)};
  R.fig.view  = r.fig.view;
  R.fig.axes  = r.fig.axes;
  pos = find(strcmpi(lst(:,1),'RobotBase'));
  if ( strcmpi(lst{pos,4},'_undef_') ) R.base=r.base; end
  R = rcmplxattach(R, h, 1);
else
  [R.def3d.blocks, R.def3d.length, R.def3d.ex] = rcmplxdef3d(R, h);
end
