
function [R]=rdel(R, opt, del)

global RTHND;

if ( strcmp(opt, 'all') | strcmp(opt, 'robot') )
  delete(RTHND{R}.fig.handle);
  RTHND{R}.fig.handle = [];
  [p1,p2,blk] = find(RTHND{R}.def3d.blocks);
  for i=blk blkdel(i, 'all', del); end
  [p1,p2,blk] = find(RTHND{R}.user3d.blocks);
  for i=blk blkdel(i, 'all', del); end
  if ( RTHND{R}.cblock ) RTHND{RTHND{R}.cblock}.owner=0; end
  
  switch ( RTHND{R}.ident )
    case 'robot:complex',  for i=RTHND{R}.robots rdel(i,opt,del); end
    case 'robot:manip',    if ( RTHND{R}.bond ) rdel(RTHND{R}.bond,opt,del); end
    case 'robot:platform', if ( RTHND{R}.bond ) rdel(RTHND{R}.bond,opt,del); end
  end
  
  if ( del ) RTHND{R}.fig.view = -1; end;
end;

if ( strcmp(opt, 'all') | strcmp(opt, 'csys') )
  delete(RTHND{R}.csys.handle);
  RTHND{R}.csys.handle = [];
  if ( del ) switch ( RTHND{R}.ident )
    case 'robot:complex', RTHND{R}.csys.view(1)=0;
    case 'robot:manip'
      RTHND{R}.csys.view = zeros(1,RTHND{R}.n+2);
%       if ( RTHND{R}.owner ) RTHND{RTHND{R}.owner}.csys.view(RTHND{R}.index+1)=0; end
    case 'robot:platform', RTHND{R}.csys.view=[0 0];
  end; end
end

if (( RTHND{R}.fig.view == -1 ) & ~any(RTHND{R}.csys.view) & del ) 
  RTHND{R}.fig.axes = -1; 
  if ( ~RTHND{R}.owner & RTHND{R}.panel ) 
    fig = get(RTHND{R}.panel,'Parent');
    if ( ~fig ) fig=RTHND{R}.panel; end
    close(fig); 
  end
end
