
function [R]=rpltfrmcreate(hnd, lst)

R.hnd   = hnd;              % uchwyt obiektu
R.ident = 'robot:platform'; % identyfikator obiektu
R.owner = 0;                % waciciel obiektu
R.index = 0;                % indeks manipulatora w robocie zoonym

R.T      = rp2t(roty(pi/2),[0;0;0]);  % dodatkowe przeksztacenie umieszczajce platform w XY
% R.T = eye(4);
R.dh     = [0 0 0 0; -pi/2 0 0 pi/2; pi/2 0 0 0]; % parametry DH
R.n      = 3;               % liczba par kinem,atycznych
R.joints = ['p','p','r'];   % typy pocze

% ustawienie wartoci opcji
R.model = 'config';
for i=1:size(lst,1) R=rset(R, lst{i,1}, lst{i,2}, lst{i,4}, 1); end
               
R.fig.view      = -1;       % metoda uyta do narysowania robota
R.fig.axes      = -1;       % uchwyt obszaru rysunku (axes) w oknie
R.fig.handle    = [];       % uchwyty obiektw tworzcych rysunek robota
R.panel         = 0;        % uchwyt okna panelu     

R.plain.lines = [];         % tablica odcinkw tworzacych widok schematyczny

R.def3d.blocks = 0;         % tablica uchwytw bry tworzcych domylny widok 3D
R.def3d.blocks = block_complex();
R = rrfrsh(R, 'RobotPlatformSize');

R.user3d.blocks = uint32(zeros(1,R.n+2)); % tablica uchwytw bry tworzcych widok 3D uytkownika

R.csys.view   = [0 0];  % widoczno ukadu wsprzdnych
R.csys.handle = [];     % uchwyty obiektw tworzcych rysunek ukadu wsprzednych

R.bond   = 0;  % uchwyt doaczonego robota typu robot:complex

R.cblock = 0;  % pole nieuywane
