
function demo3r

t1 = -pi/4;  t2 =  pi/2;  t3 = -pi/4;
r = robot( [dh(0,0,0,t1); dh(0,0.4,0,t2); dh(0,0.36,0,t3)], ['r', 'r', 'r'],...
           'RobotBase', rp2t(rotx(-pi/2),[0;0;0]),...
           'RobotGrasper', [0.15; 0; -0.025],...
           'RobotGrasperSize', [0.075,0.1],...
           'RobotRange', [-pi, 0; -3*pi/4, 3*pi/4; -3*pi/4, 3*pi/4],...
           'RobotColor', 'y',...
           'RobotExColor', 'g',...
           'RobotLineWidth', 2,...
           'RobotCylinderRadius', 0.04,...
           'RobotCylinderApprox', 32,...
           'RobotModel', 'configex',...
           'CSysAxisLength', [0 0.2 0 0.2 0 0.2]);


par1 = {'BlockColor',[0,1,0],'BlockEdgeColor','none'};
par2 = {'BlockColor',[1,1,0],'BlockEdgeColor','none'};
par3 = {'BlockColor',[0,0.75,0],'BlockEdgeColor','none'};
par4 = {'BlockColor',[0.75,0.75,0.75],'BlockEdgeColor','none'};

nr = 25;

fi= 0.05 : -(pi-0.1)/nr : -pi-0.05;  x = 0.048*cos(fi);  y = 0.048*sin(fi);
p = [x(1)+0.01 x x(length(x))-0.01; 0.07 y 0.07];
b1 = block_move(cuboid(0.2,0.2,0.025,par1{:}), rp2t(rotx(pi/2),[0;0.07+0.025;0]));
b2 = block_move(prism(p,0.05,par1{:}), [0;0;-0.05]);
r = robot_part(r, 0, b1, b2);

fi=pi/2:pi/nr:3*pi/2;  x1 = 0.048*cos(fi);  y1 = 0.048*sin(fi);
fi=-pi/2:pi/nr:pi/2;   x2 = 0.036*cos(fi);  y2 = 0.036*sin(fi);
p = [x1 x2+0.4; y1 y2];
b1 = prism(p,0.05,par2{:});
b2 = block_move(cylinder(0.01,0.11,par3{:}), [0;0;-0.055]);
r = robot_part(r, 1, b1, b2);

fi =  pi/2:pi/nr:3*pi/2;  x1 = 0.036*cos(fi);  y1 = 0.036*sin(fi);
fi = -pi/2:pi/nr:pi/2;    x2 = 0.012*cos(fi);  y2 = 0.012*sin(fi);
p = [x1 x2+0.36; y1 y2];
b1 = block_move(prism(p,0.05,par2{:}), [0;0;-0.05]);
b2 = block_move(cylinder(0.01,0.11,par3{:}), [0;0;-0.055]);
r = robot_part(r, 2, b1, b2);

b1 = block_move(cylinder(0.012,0.1,nr,par2{:}), rp2t(roty(pi/2),[0;0;-0.025]));
b2 = block_move(cylinder(0.005,0.06,par3{:}), [0;0;-0.055]);
r = robot_part(r, 3, b1, b2);

b1 = block_move(cylinder(0.012,0.025,nr,par4{:}), rp2t(roty(-pi/2),[-0.025;0;0]));
b2 = block_move(prism([[0.025;0] [0.025;0.025] [0.0125;0.05] [0.0125;0.0125]...
                      [-0.0125;0.0125] [-0.0125;0.05] [-0.025;0.025] [-0.025;0]],0.012,...
                      par4{:}), rp2t(rotz(-pi/2),[-0.025;0;-0.006]));
r = robot_part(r, 4, b1, b2);

demofig(r, 145, 35);

axis([-0.5 1 -0.75 0.75 -0.5 1])
csys_plot(csys(eye(4), 'CSysAxisLength', axis));

r = robot_plot(r, 'line');
