
function fhndadd(hnd)

global RTHND;

axs = RTHND{hnd}.fig.axes;
ud = get(axs, 'UserData');

if ( ~isfield(ud,'obj_hnd') ) 
  ud.obj_hnd = [];
  set(axs, 'DeleteFcn', {@onclose});
end

if ( isempty(find(ud.obj_hnd==hnd)) ) 
  ud.obj_hnd = [ud.obj_hnd hnd]; 
  set(axs, 'UserData', ud);
end



function onclose(hnd, data)

global RTHND;

ud = get(hnd, 'UserData');

% ud.obj_hnd

for i=ud.obj_hnd
  switch ( baseident(RTHND{i}.ident) )
    case 'block', blkdel(i, 'all', 1);
    case 'csys' , csdel(i, 1);
    case 'robot', rdel(i, 'all', 1); 
  end
end

set(hnd, 'UserData', []);
