
function [base] = getbase(R)

global RTHND;

base = eye(4);
r = RTHND{R}.owner;

while ( r ) switch ( RTHND{r}.ident ) 

  case 'robot:complex', base=RTHND{r}.base*base;

  case 'robot:manip'
    T = trans2(RTHND{r}.dh, RTHND{r}.base);
    base = T{RTHND{r}.n}*base;
    
  case 'robot:platform'
    T = trans2(RTHND{r}.dh, RTHND{r}.base*RTHND{r}.T);
    base = T{RTHND{r}.n}*base;
    
  end
  
  r = RTHND{r}.owner;
  
end
