
function msg = getwrn(ident, varargin)

msg = 'Undefined warning';

switch ( ident ) 

  case 'robotRange1', msg = 'Incorrect lower and upper limit of %d. configuration variable, values are set to %3.1f..%3.1f.';
  case 'robotRange2', msg = '%d. configuration variable exceeds limit, value is set to %6.4f.';
  case 'robotModel',  msg = 'One or more configuration vaiable limit is not set. Model "%s" is set to "%s".';
  case 'robotUnion',  msg = 'Only one complex robot may be attached. Additional parameters of the function will be ignored.';      

  case 'blockArc',  msg = 'It is not possible to determine arc with a radius %4.2f';

  case 'trjLineA',  msg = 'It is not possible to generate trajectory, accelerations are too low.';
      
end

msg = sprintf(msg, varargin{:});