
function propinfo(h, f)

global RTHND;

obj = RTHND{h};

lst = optlst(obj.ident);
n = 0; 
for i=1:size(lst,1) if ( length(lst{i,1}) > n ) n=length(lst{i,1}); end; end
for i=1:size(lst,1) 
  s=''; for j=1:n-length(lst{i,1}) s=[s, ' ']; end
  lst{i,1} = [lst{i,1}, s];
end

for i=1:size(lst,1)
  name = lst{i,1};  val = f(h, strtrim(name));
%   if ( strcmp(val,'_undef_') ) val=''; end
%   if ( strcmpi(strtrim(name),'RobotColor') ) 
%     disp(name);
%   end
  switch ( class(val) )
    case 'char', disp(sprintf('   %s: %s', name, val));
    case {'int8', 'int16', 'int32', 'int64'}
      disp(sprintf('   %s: %s', name, getnum(val,'%1d',' %1d ','%3d  ')));
    case 'double'
      disp(sprintf('   %s: %s', name, getnum(val,'%4.2f',' %4.2f ','%5.2f  ')));
    case 'cell'
      s = '{';
      for i=1:length(val) switch ( class(val{i}) )
        case 'char', s = [s, sprintf(' %s',val{i})];
        case {'int8', 'int16', 'int32', 'int64'}
          s = [s, ' ', getnum(val{i},'%1d',' %1d ','%3d  ')];
        case 'double'
          s = [s, ' ', getnum(val{i},'%4.2f',' %4.2f ','%5.2f  ')];
      end, end
      s = [s, ' }'];
      disp(sprintf('   %s: %s', name, s));
  end
end



function [s] = getnum(val, fsclr, fvct, fmtx)

if ( size(val,2) > 1 )
  if ( size(val,1) > 1 ) s = getmtx(val,fmtx,'     ');
  else s = sprintf('[%s]', getvct(val,fvct)); end
else s = sprintf(fsclr, val); end


function [s] = getvct(val, format)

s = '';  for k=1:size(val,2) s=[s, format]; end
s = sprintf(s, val(:));



function [s] = getmtx(val, format, margin)

s = '';
for i=1:size(val,1)
  f = ['\n',margin];  for j=1:size(val,2) f=[f, format]; end
  s = [s, sprintf(f, val(i,:))];
end



function dispcll(name, val)

s = '';  for k=1:length(val) s=[s, ' %s ']; end
disp(sprintf(['   %s: {',s,'}'], name, val{:}));
