
function q = rcfgget(R, mode)

global RTHND;

q = [];

if ( mode == 1 )
    
  switch ( RTHND{R}.ident )
    case 'robot:complex'
      for i=RTHND{R}.robots, q=[q; rcfgget(i, mode)]; end
    case { 'robot:manip', 'robot:platform' }
      for i=1:RTHND{R}.n, switch ( RTHND{R}.joints(i) )
        case 'r',          q=[q; RTHND{R}.dh(i,4)];
        case { 'p', 'd' }, q=[q; RTHND{R}.dh(i,3)];
      end; end
      if ( RTHND{R}.bond ) q=[q; rcfgget(RTHND{R}.bond,mode)]; end
  end
  
else

  switch ( RTHND{R}.ident )
    case 'robot:complex'
      for i=RTHND{R}.robots, q=[q; rcfgget(i, mode)]; end
    case { 'robot:manip', 'robot:platform' }
      q = RTHND{R}.range;
      if ( RTHND{R}.bond ) q=[q; rcfgget(RTHND{R}.bond,mode)]; end
  end

end
